Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.swift.validation.bic
Class DBManager

    java.lang.Object
      com.stc.swift.validation.bic.DBManager

All Implemented Interfaces:
  CURecHandlerCallback, FIRecHandlerCallback

    public class DBManager

extends java.lang.Object
implements CURecHandlerCallback, FIRecHandlerCallback

Constructor Summary
`DBManager()`
`DBManager(java.lang.String fiFileName, java.lang.String cuFileName, java.lang.String directoryPath)`

Method Summary
`void` | `clean()`
`static void` | `createDatabase()`
`java.lang.String[]` | `getBIC(java.lang.String instName)`
`java.lang.String[]` | `getBIC(java.lang.String _institutionName, java.lang.String _city, java.lang.String _country)`
`java.lang.String[]` | `getCountryCode(java.lang.String _currencyCode)`
`java.lang.String` | `getCurrencyCode(java.lang.String _countryCode)`
`java.lang.String[]` | `getInstitutionName(java.lang.String bic)`
`boolean` | `handleCURec(CURecord cuRec, boolean initDatabase)`
`boolean` | `handleFIRec(FIRecord fiRec, boolean initDatabase)`
`void` | `importFiles(boolean initDatabase)`
`void` | `init()`
`boolean` | `validateBIC(java.lang.String BIC)`
`boolean` | `validateCountryCode(java.lang.String countryCode)`
`boolean` | `validateCurrencyCode(java.lang.String currencyCode)` to validate currency code

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBManager

    public DBManager()

### DBManager

    public DBManager(java.lang.String fiFileName,
                     java.lang.String cuFileName,
                     java.lang.String directoryPath)

Method Detail

### createDatabase

    public static void createDatabase()

### importFiles

    public void importFiles(boolean initDatabase)

### init

    public void init()

### clean

    public void clean()

### handleCURec

    public boolean handleCURec(CURecord cuRec,
                               boolean initDatabase)

  Specified by:
    `handleCURec` in interface `CURecHandlerCallback`

### handleFIRec

    public boolean handleFIRec(FIRecord fiRec,
                               boolean initDatabase)

  Specified by:
    `handleFIRec` in interface `FIRecHandlerCallback`

### getBIC

    public java.lang.String[] getBIC(java.lang.String instName)

### getBIC

    public java.lang.String[] getBIC(java.lang.String _institutionName,
                                     java.lang.String _city,
                                     java.lang.String _country)

### getInstitutionName

    public java.lang.String[] getInstitutionName(java.lang.String bic)

### getCurrencyCode

    public java.lang.String getCurrencyCode(java.lang.String _countryCode)

### getCountryCode

    public java.lang.String[] getCountryCode(java.lang.String _currencyCode)

### validateBIC

    public boolean validateBIC(java.lang.String BIC)

### validateCurrencyCode

    public boolean validateCurrencyCode(java.lang.String currencyCode)

  to validate currency code

### validateCountryCode

    public boolean validateCountryCode(java.lang.String countryCode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Message Library for SWIFT API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All rights reserved.